Subject: Re: bug#27973: [PATCH] Add ability to change macOS WM theme (bug#27973)

From: Alan Third <[email-masked]>
Date: Sun, 13 Aug 2017 16:10:05 +0100

On Sun, Aug 13, 2017 at 05:38:37PM +0300, Eli Zaretskii wrote:
> > Date: Sun, 13 Aug 2017 14:11:10 +0100
> > From: Alan Third <[email-masked]>
> > Cc: [email-masked]
> > 
> > * src/frame.c (make_frame, frame_parms, syms_of_frame)
> > [NS_IMPL_COCOA]: Add ns-appearance and ns-transparent-titlebar
> > options.
> 
> This should be mentioned in the documentation somewhere, I think.
> Including how to use it to solve whatever problems we have with themes
> on NS.

Ah yes, I knew there was something else I needed to do. :)

> Is the transparency thing, or its equivalent, supported on GNU/Linux?

I’m not sure, because it’s roughly equivalent to changing a window
manager and/or GTK theme. On macOS the theme of the window decorations is
set by a combination of system‐wide settings and application specific
settings.
-- 
Alan Third